#pragma once
#include "skinnablebutton.h"

class ListItem :
	public SkinnableButton
{
public:
	ListItem(void);
	~ListItem(void);
	virtual void Draw(Graphics& graphics);
	virtual void Set(Appearance& x);
	virtual void OnMouseEnter();
	virtual void OnMouseLeave();
	virtual bool Selected();
	virtual void OnKeyDown(WPARAM wParam, LPARAM lParam);

	void AdjustHeightToText();

	void * userdata;
	int usertype;
	int key;
	ListItem * prev, * next;
};

